MailRecipientHelper.MonitorUser (consumer-service 1.8.0-SNAPSHOT API)
Date: 2013-02-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.gcube.messaging.common.consumer.mail
Class MailRecipientHelper.MonitorUser

    java.lang.Object
      org.gcube.messaging.common.consumer.mail.MailRecipientHelper.MonitorUser

Enclosing class:
  MailRecipientHelper

    public class MailRecipientHelper.MonitorUser

extends Object

Monitor Users

Author:
  Andrea Manzi(CERN)

Constructor Summary
`MailRecipientHelper.MonitorUser(String name, String mail, String scope, boolean notify, boolean receiveSummary, boolean admin)` Monitor user

Method Summary
`String` | `getMail()` get the mail
`String` | `getName()` get the name
`String` | `getScope()`
`boolean` | `isAdmin()`
`boolean` | `isNotify()` isNotify
`boolean` | `isReceiveSummary()` isReceiveSummary
`void` | `setAdmin(boolean admin)` setAdmin
`void` | `setMail(String mail)` set the mail
`void` | `setName(String name)` set the name
`void` | `setNotify(boolean notify)` isNotify
`void` | `setReceiveSummary(boolean receiveSummary)` isReceiveSummary
`void` | `setScope(String scope)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MailRecipientHelper.MonitorUser

    public MailRecipientHelper.MonitorUser(String name,
                                           String mail,
                                           String scope,
                                           boolean notify,
                                           boolean receiveSummary,
                                           boolean admin)

  Monitor user

  Parameters:
    `name` - the name
    `mail` - the mail
    `notify` - notify?
    `receiveSummary` - receiveSummary?

Method Detail

### getMail

    public String getMail()

  get the mail

  Returns:
    the mail

### setMail

    public void setMail(String mail)

  set the mail

  Parameters:
    `mail` - the mail

### getName

    public String getName()

  get the name

  Returns:
    the name

### setName

    public void setName(String name)

  set the name

  Parameters:
    `name` - teh name

### isReceiveSummary

    public boolean isReceiveSummary()

  isReceiveSummary

  Returns:
    isReceiveSummary

### getScope

    public String getScope()

### setScope

    public void setScope(String scope)

### setReceiveSummary

    public void setReceiveSummary(boolean receiveSummary)

  isReceiveSummary

  Parameters:
    `receiveSummary` - isReceiveSummary

### isNotify

    public boolean isNotify()

  isNotify

  Returns:
    isNotify

### setNotify

    public void setNotify(boolean notify)

  isNotify

  Parameters:
    `notify` - isNotify

### isAdmin

    public boolean isAdmin()

  Returns:
    isAdmin

### setAdmin

    public void setAdmin(boolean admin)

  setAdmin

  Parameters:
    `admin` - setAdmin

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2013. All Rights Reserved.